require 'zip_search'

module ZipSearch
  require 'rails'
  class Railtie < Rails::Railtie
    initializer 'zip_search.insert_into_active_record' do |app|
      ActiveSupport.on_load :active_record do
        ZipSearch::Railtie.insert
      end
    end

    def self.insert
      if defined?(ActiveRecord)
        # ActiveRecord::Base.send(:include, ZipSearch::Glue)
      end
    end
  end
end
