require 'zip_search'

module ZipSearch
  module Generators
    class InstallGenerator < ::Rails::Generators::Base

      def inject_engine_routing
        inject_into_file 'config/routes.rb', after: 'pplication.routes.draw do' do
          "\n  mount ZipSearch::Engine => '/zipsearch'\n"
        end
      end

      def inject_js_initializer
        inject_into_file 'app/assets/javascripts/application.js', before: '//= require_tree .' do
          "//= require zip_search/init\n"
        end
      end


    end
  end
end
