require 'zip_search'

module ZipSearch
  module StrongParamsHelper
    ZipSearch::ASSOCIATION_MODES.each do |am|
      define_method :"#{am}_params" do |title=am|
        rclass = begin params[:controller].classify.constantize
                 rescue NameError; nil end
        aclass = if rclass && rclass.has_zipsearch_association?(title)
                   rclass.zipsearch_association(title).klass
                 else Location end
        { :"#{title}_attributes" => aclass.nested_params }
      end
    end
    extend self
  end
end
